Legacy (v0)
Update reps
Updates a rep’s profile, status, identifiers, locale, rank or tax settings. Only the fields you send are changed. Returns the updated rep with detail fields, 404 if the rep is not found, or 422 on validation errors. Requires a company admin token with the users.update permission.
PATCH
/
api
/
reps
/
{id}
Update reps
curl --request PATCH \
--url https://api.fluid.app/api/reps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rep": {
"phone": "+15705550143",
"external_id": "DM-REP-0042-A"
}
}
'import requests
url = "https://api.fluid.app/api/reps/{id}"
payload = { "rep": {
"phone": "+15705550143",
"external_id": "DM-REP-0042-A"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rep: {phone: '+15705550143', external_id: 'DM-REP-0042-A'}})
};
fetch('https://api.fluid.app/api/reps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/reps/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rep' => [
'phone' => '+15705550143',
'external_id' => 'DM-REP-0042-A'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/reps/{id}"
payload := strings.NewReader("{\n \"rep\": {\n \"phone\": \"+15705550143\",\n \"external_id\": \"DM-REP-0042-A\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/reps/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rep\": {\n \"phone\": \"+15705550143\",\n \"external_id\": \"DM-REP-0042-A\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/reps/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rep\": {\n \"phone\": \"+15705550143\",\n \"external_id\": \"DM-REP-0042-A\"\n }\n}"
response = http.request(request)
puts response.read_body{
"rep": {
"id": 20417,
"first_name": "Dwight",
"last_name": "Schrute",
"created_at": "2026-09-02T14:05:11Z",
"active": true,
"external_id": "DM-REP-0042-A",
"username": "dwight-schrute",
"share_guid": "dwight-schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"roles": "rep",
"country_code": "US",
"language_code": "en",
"tax_exempt": false,
"sales_tax_id": null,
"computed_full_name": "Dwight Schrute",
"name": "Dwight Schrute",
"computed_email": "dwight.schrute@dundermifflin.com",
"phone": "+15705550143",
"points": 1250,
"points_decimal": "1250.0000",
"rank": "Assistant Regional Manager",
"joined_date": "2026-09-02T14:05:11Z",
"customer_id": null,
"agreement_acceptances": [],
"enroller": null
},
"meta": {
"request_id": "5f0c2d9e-8b1a-4c3e-9d7f-2a6b8e4c1f03",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>"
}Response
Success
⌘I
Update reps
curl --request PATCH \
--url https://api.fluid.app/api/reps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rep": {
"phone": "+15705550143",
"external_id": "DM-REP-0042-A"
}
}
'import requests
url = "https://api.fluid.app/api/reps/{id}"
payload = { "rep": {
"phone": "+15705550143",
"external_id": "DM-REP-0042-A"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rep: {phone: '+15705550143', external_id: 'DM-REP-0042-A'}})
};
fetch('https://api.fluid.app/api/reps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/reps/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rep' => [
'phone' => '+15705550143',
'external_id' => 'DM-REP-0042-A'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/reps/{id}"
payload := strings.NewReader("{\n \"rep\": {\n \"phone\": \"+15705550143\",\n \"external_id\": \"DM-REP-0042-A\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/reps/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rep\": {\n \"phone\": \"+15705550143\",\n \"external_id\": \"DM-REP-0042-A\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/reps/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rep\": {\n \"phone\": \"+15705550143\",\n \"external_id\": \"DM-REP-0042-A\"\n }\n}"
response = http.request(request)
puts response.read_body{
"rep": {
"id": 20417,
"first_name": "Dwight",
"last_name": "Schrute",
"created_at": "2026-09-02T14:05:11Z",
"active": true,
"external_id": "DM-REP-0042-A",
"username": "dwight-schrute",
"share_guid": "dwight-schrute",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"roles": "rep",
"country_code": "US",
"language_code": "en",
"tax_exempt": false,
"sales_tax_id": null,
"computed_full_name": "Dwight Schrute",
"name": "Dwight Schrute",
"computed_email": "dwight.schrute@dundermifflin.com",
"phone": "+15705550143",
"points": 1250,
"points_decimal": "1250.0000",
"rank": "Assistant Regional Manager",
"joined_date": "2026-09-02T14:05:11Z",
"customer_id": null,
"agreement_acceptances": [],
"enroller": null
},
"meta": {
"request_id": "5f0c2d9e-8b1a-4c3e-9d7f-2a6b8e4c1f03",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>"
}